searchNodes=[{"doc":"Client for InfluxDB Checkout InflexDB.Client on how to instantiate and configure a client.","ref":"InflexDB.html","title":"InflexDB","type":"module"},{"doc":"Creates a new database. Example client = %InflexDB.Client{} InflexDB.create_database(client, &quot;mydb&quot;)","ref":"InflexDB.html#create_database/2","title":"InflexDB.create_database/2","type":"function"},{"doc":"Deletes all of the data, measurements, series, continuous queries, and retention policies from the specified database. If you attempt to drop a database that does not exist, InfluxDB does not return an error. Example client = %InflexDB.Client{} InflexDB.delete_database(client, &quot;mydb&quot;)","ref":"InflexDB.html#delete_database/2","title":"InflexDB.delete_database/2","type":"function"},{"doc":"Returns a list of all databases on your instance. client = %InflexDB.Client{} InflexDB.list_databases(client) # {:ok, [&quot;_internal&quot;, &quot;mydb&quot;]}","ref":"InflexDB.html#list_databases/1","title":"InflexDB.list_databases/1","type":"function"},{"doc":"Check the status of yout InfluxDB instance. Example client = %InflexDB.Client{} InflexDB.ping(client)","ref":"InflexDB.html#ping/1","title":"InflexDB.ping/1","type":"function"},{"doc":"Query data with a SELECT statement. Example client = %InflexDB.Client{} InflexDB.query(client, &quot;mydb&quot;, &quot;SELECT * FROM weather&quot;) # {:ok, # [ # %{ # name: &quot;weather&quot;, # statement_id: 0, # tags: nil, # values: [ # %{ # &quot;location&quot; =&gt; &quot;us-midwest&quot;, # &quot;season&quot; =&gt; &quot;summer&quot;, # &quot;temperature&quot; =&gt; 82, # &quot;time&quot; =&gt; &quot;2020-03-29T20:34:46.725338219Z&quot; # }, # %{ # &quot;season&quot; =&gt; &quot;summer&quot;, # &quot;location&quot; =&gt; &quot;us-east&quot;, # &quot;temperature&quot; =&gt; 879, # &quot;time&quot; =&gt; &quot;2020-03-29T20:40:46.790074049Z&quot; # } # ] # } # ]} Multiple SELECT statements are also supported: client = %Inflex.Client{} statement = &quot;SELECT * FROM weather group by location; SELECT * from weather2 group by season&quot; InflexDB.query(client, &quot;mydb&quot;, statement) # {:ok, # [ # %{ # name: &quot;weather&quot;, # statement_id: 0, # tags: %{&quot;location&quot; =&gt; &quot;us-east&quot;}, # values: [ # %{ # &quot;season&quot; =&gt; &quot;summer&quot;, # &quot;temperature&quot; =&gt; 879, # &quot;time&quot; =&gt; &quot;2020-03-29T20:40:46.790074049Z&quot; # }, # %{ # &quot;season&quot; =&gt; &quot;winter&quot;, # &quot;temperature&quot; =&gt; 8096, # &quot;time&quot; =&gt; &quot;2020-03-29T20:40:46.790074049Z&quot; # } # ] # }, # %{ # name: &quot;weather&quot;, # statement_id: 0, # tags: %{&quot;location&quot; =&gt; &quot;us-midwest&quot;}, # values: [ # %{ # &quot;season&quot; =&gt; &quot;summer&quot;, # &quot;temperature&quot; =&gt; 82, # &quot;time&quot; =&gt; &quot;2020-03-29T20:34:46.725338219Z&quot; # }, # %{ # &quot;season&quot; =&gt; &quot;summer&quot;, # &quot;temperature&quot; =&gt; 82, # &quot;time&quot; =&gt; &quot;2020-03-29T20:35:15.531091771Z&quot; # } # ] # }, # %{ # name: &quot;weather2&quot;, # statement_id: 1, # tags: %{&quot;season&quot; =&gt; &quot;summer&quot;}, # values: [ # %{ # &quot;location&quot; =&gt; &quot;us-east&quot;, # &quot;temperature&quot; =&gt; 842, # &quot;time&quot; =&gt; &quot;2020-03-29T20:59:41.755035346Z&quot; # }, # %{ # &quot;location&quot; =&gt; &quot;us-midwest&quot;, # &quot;temperature&quot; =&gt; 2342, # &quot;time&quot; =&gt; &quot;2020-03-29T20:59:41.755035346Z&quot; # } # ] # }, # %{ # name: &quot;weather2&quot;, # statement_id: 1, # tags: %{&quot;season&quot; =&gt; &quot;winter&quot;}, # values: [ # %{ # &quot;location&quot; =&gt; &quot;us-east&quot;, # &quot;temperature&quot; =&gt; 7554, # &quot;time&quot; =&gt; &quot;2020-03-29T20:59:41.755035346Z&quot; # }, # %{ # &quot;location&quot; =&gt; &quot;us-midwest&quot;, # &quot;temperature&quot; =&gt; 5473, # &quot;time&quot; =&gt; &quot;2020-03-29T20:59:41.755035346Z&quot; # } # ] # } # ]}","ref":"InflexDB.html#query/3","title":"InflexDB.query/3","type":"function"},{"doc":"Write a single point to a pre-existing database. Example client = %InflexDB.Client{} point = %Point{ measurement: &quot;weather&quot;, tag_set: %{location: &quot;us-midwest&quot;}, field_set: %{temperature: 82} } InflexDB.write_point(client, &quot;mydb&quot;, point)","ref":"InflexDB.html#write_point/3","title":"InflexDB.write_point/3","type":"function"},{"doc":"Write points to a pre-existing database. Example client = %InflexDB.Client{} points = [ %Point{ measurement: &quot;weather&quot;, tag_set: %{location: &quot;us-midwest&quot;}, field_set: %{temperature: 82} }, %Point{ measurement: &quot;weather&quot;, tag_set: %{location: &quot;us-midwest&quot;}, field_set: %{temperature: 76} } ] InflexDB.write_points(client, &quot;mydb&quot;, points)","ref":"InflexDB.html#write_points/3","title":"InflexDB.write_points/3","type":"function"},{"doc":"","ref":"InflexDB.html#t:error_response/0","title":"InflexDB.error_response/0","type":"type"},{"doc":"The client connection. Url By default connects to localhost:8086. But it can be changed in the client struct. %InflexDB.Client{url: &quot;http:://myinfluxdbinstance:8086&quot;} No authentication By default the client has no authentication method. %InflexDB.Client{auth_method: &quot;none&quot;} Authenticate with Basic Authentication Checkout the official InfluxDB docs on how to set up authentication in the server. This is the preferred method for providing user credentials. Just set the auth_method option to basic. It will set the credentials as described in RFC 2617, Section 2 using the Authorization header in the request. %InflexDB.Client{username: &quot;admin&quot;, password: &quot;admin&quot;, auth_method: &quot;basic&quot;} Is possible use query params to provide the credentials. Just set the auth_method option to params. %InflexDB.Client{username: &quot;admin&quot;, password: &quot;admin&quot;, auth_method: &quot;params&quot;} Authenticate using JWT tokens To authenticate using JWT tokens first add jose as dependency as it will be used to generate the tokens. # mix.exs {:jose, &quot;~&gt; 1.10&quot;}, Then customize the client to incluse the shared secret and ttl in seconds of the tokens. %InflexDB.Client{username: &quot;admin&quot;, auth_method: &quot;jwt&quot;, jwt_secret: &quot;my super secret pass phrase&quot;, jwt_ttl: 60} Each request made with the library will generate a new short-lived jwt token with the ttl defined. Checkout the official InfluxDB docs on how configure the support for JWT tokens in the server.","ref":"InflexDB.Client.html","title":"InflexDB.Client","type":"module"},{"doc":"","ref":"InflexDB.Client.html#t:t/0","title":"InflexDB.Client.t/0","type":"type"},{"doc":"Struct representing a HTTP response from InfluxDB.","ref":"InflexDB.HTTPResponse.html","title":"InflexDB.HTTPResponse","type":"module"},{"doc":"","ref":"InflexDB.HTTPResponse.html#t:t/0","title":"InflexDB.HTTPResponse.t/0","type":"type"},{"doc":"Struct represeting a point in InfluxDB. Checkout the line protocol tutorial and reference for more details. Example The following point: %InflexDB.Point{ measurement: &quot;weather&quot;, tag_set: %{location: &quot;us-midwest&quot;, season: &quot;summer&quot;}, field_set: %{temperature: 82}, timestamp: 1465839830100400200 } Will produce the following InfluxDB point: weather,location=us-midwest,season=summer temperature=82 1465839830100400200","ref":"InflexDB.Point.html","title":"InflexDB.Point","type":"module"},{"doc":"","ref":"InflexDB.Point.html#t:t/0","title":"InflexDB.Point.t/0","type":"type"}]